## MV3500 Examples Source Archive

These example directories are presented in the same order provided in the course [../../presentations](presentations).

<!-- View this page at https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/examples/src/README.md -->

1. [TcpExamples](TcpExamples) show how to create connection-oriented Transmission Control Protocol (TCP) sockets.

2. [UdpExamples](UdpExamples) show how to create User Datagram Protocol (UDP) sockets.

3. [OpenDis7Examples](OpenDis7Examples) illustrate use of latest OpenDis7 library for IEEE Distributed Interactive Simulation (DIS) Protocol.

4. [SimkitOpenDis7Examples](SimkitOpenDis7Examples) provides simple examples combining Simkit Discrete Event Simulation (DES) and IEEE DIS.

Also provided:

5. [OpenDis4Examples](OpenDis4Examples) illustrate use of (legacy) OpenDis4 library for IEEE Distributed Interactive Simulation (DIS) Protocol.

6. [HttpServletExamples](HttpServletExamples) shows how to use Java Servlets as server-side code running on an http server.
